> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/0.4.0/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/0.4.0/contributing.md).

# Reporting bugs and contributing

Want to report a bug or request a feature? Let us know on [Slack](https://join.slack.com/t/zinggai/shared_invite/zt-w7zlcnol-vEuqU9m~Q56kLLUVxRgpOA), or open an [issue](https://github.com/zinggAI/zingg/issues/new/choose).

Want to commit code? Please take a look at the [open issues](https://github.com/zinggAI/zingg/issues) or choose the ones marked [good first issue](https://github.com/zinggAI/zingg/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22+). Let us talk on [Slack](https://join.slack.com/t/zinggai/shared_invite/zt-w7zlcnol-vEuqU9m~Q56kLLUVxRgpOA) if you need help deciding what to fix or how.

As the sponsor of Zingg, Zingg Labs would like to ensure the long-term viability of Zingg and its community. For all code contributions to Zingg, we ask that contributors complete and sign a Contributor License Agreement. The Contributor License Agreement helps ensure everyone can enjoy Zingg with confidence that Zingg is here to stay.

Specifically, our Contributor License Agreement (CLA) grants the contributor and Zingg Labs joint copyright interest in contributed code. Further, it provides assurance from the contributor that contributions are original work that does not violate any third-party license agreement. The agreement between contributors and the Zingg project is explicit. This ensures that Zingg users can be confident in the legal status of the source code and their right to use it.

* [Individual Contributor License Agreement v1.0](https://forms.gle/wU46nGvTMM2wSzy5A)

The above agreement is based on the Contributor License Agreements published by the [Apache Software Foundation](http://www.apache.org), with modifications:

* [Individual Contributor License Agreement ("Agreement") V2.0](http://apache.org/licenses/icla.pdf)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/0.4.0/contributing.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
